package com.lantone.qc.kernel.catalogue.medicalwriting;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.InformedConsentDoc;
import com.lantone.qc.pub.model.doc.NoticeOfConversationDoc;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : NOT0719
 * @Description : 缺授权知情同意书
 * @Author : 胡敬
 * @Date: 2020-04-21 18:54
 */
@Component
public class MEDI02889 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        InformedConsentDoc informedConsentDoc = inputInfo.getInformedConsentDoc();
        if (informedConsentDoc == null){
            status.set("0");
            return;
        }
        Map<String, String> structureMap = informedConsentDoc.getStructureMap();
        if (structureMap.containsKey("授权知情同意书")){
            status.set("0");
        }
    }
}